--Class of the parent of the trigger.
--0 = Database, for the DDL triggers.
--1 = Object or column for the DML triggers

IF EXISTS (SELECT * FROM sys.triggers
    WHERE parent_class = 0 AND name = 'ProtectProc')
DROP TRIGGER ProtectProc
ON DATABASE;
GO
CREATE TRIGGER ProtectProc 
ON DATABASE 
FOR DROP_PROCEDURE
AS 
   RAISERROR ('You must disable Trigger "ProtectProc" to drop procedures!',10, 1)
   ROLLBACK
GO

--try to drop the proc
drop proc AllStudents

--drop the trigger
DROP TRIGGER ProtectProc
ON DATABASE;
GO
--try now
drop proc AllStudents